/*
  +----------------------------------------------------------------------+
  | Portable System Library                                              |
  | Author: Sukchan Lee (acetcom@postech.ac.kr)                          |
  +----------------------------------------------------------------------+

  $Id: errno.h 57 2004-03-22 01:50:11Z acetcom $
*/

#ifndef __PSYS_ERRNO_H__
#define __PSYS_ERRNO_H__

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @defgroup errno Error Handling
 * @ingroup libpsys
 *
 * @{
 */

#include "psys/common.h"

#include <errno.h>

/**
 * libpsys Լ   , 0 Ѵ.
 */
#define PSYS_SUCCESS 0

#define PSYS_ERROR_NUMBER_START 20000

/**
 * ޸𸮸 Ӱ Ҵ     Ѵ.
 */
#define PSYS_NO_MEMORY              (PSYS_ERROR_NUMBER_START + 1)
/**
 * Լ ϱ  ʱȭ Ǿ     Ѵ.
 */
#define PSYS_NOT_INITIALIZED        (PSYS_ERROR_NUMBER_START + 2)

/** @} */

#ifdef __cplusplus
}
#endif

#endif
